\documentclass[11pt,a4paper]{article}

\usepackage{fullpage, amssymb, amsthm, enumerate, amsmath, pictexwd, mathrsfs, ../yomcat, ../dcpic, array}

\pagestyle{empty}

\setlength{\arraycolsep}{2pt}
\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}
\setlength{\extrarowheight}{0.05cm}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 437 \hfill
Assignment 3 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}
	\item In {\sc lex}, $\lt(f) = 3x^4z$. \\
	In {\sc deglex}, $\lt(f) = 2x^3y^4$. \\
	In {\sc degrevlex}, $\lt(f) = 2x^3y^4$.
	\item In {\sc deglex}: $x_3^4 < x_2x_3^3 < x_2^2x_3^2 < x_2^3x_3 < x_2^4 < x_1x_3^3 < x_1x_2x_3^2 < x_1x_2^2x_3 < x_1x_2^3 < x_1^2x_3^2 < x_1^2x_2x_3 < x_1^2x_2^2 < x_1^3x_3 < x_1^3x_2 < x_1^4$. \\
	In {\sc degrevlex}: $x_3^4 < x_2x_3^3 < x_1x_3^3 < x_2^2x_3^2 < x_1x_2x_3^2 < x_1^2x_3^2 < x_2^3x_3 < x_1x_2^2x_3 < x_1^2x_2x_3 < x_1^3x_3 < x_2^4 < x_1x_2^3 < x_1^2x_2^2 < x_1^3x_2 < x_1^4$.
	\item If {\sc degrevlex} is a term order, it must obey the following three conditions:
		\begin{enumerate}[(i)]
			\item It is a total order.
			\item For all $x^\alpha \neq 1$, $1 < x^\alpha$.
			\item If $x^\alpha < x^\beta$ then for all $x^\gamma \in \mbb{T}^n$, $x^\alpha x^\gamma < x^\beta x^\gamma$.
		\end{enumerate}
		\textbf{Proof:} \begin{enumerate}[(i)]
			\item Let $x^\alpha$ and $x^\beta$ be distinct elements of $\mbb{T}^n$. Then either $|\alpha| < |\beta|$, $|\beta| < |\alpha|$ or $|\alpha| = |\beta|$. The first two cases give $x^\alpha < x^\beta$ and $x^\beta < x^\alpha$, so the only interesting case is the third one. \\
			As $|\alpha| = |\beta|$, and $x^\alpha \neq x^\beta$, $\exists r$, $1 \leq r \leq n$, such that $\forall i > r$, $\alpha_i = \beta_i$ and either $\alpha_r < \beta_r$ or $\beta_r < \alpha_r$. In other words, if two distinct terms have the same degree, then there is a smallest $x_i$ at which they have different powers. At this $x_i$, the term with the greatest power is defined to be larger. So, if $\alpha_i < \beta_i$, then $x^\alpha < x^\beta$. This makes the $<$ operation a total order.
			\item $<$ orders terms first by degree, and deg(1) = 0, and 1 is the only degree 1 polynomial (when $x^\alpha = x_1^0x_2^0 \cdots x_n^0$), so 1 is smaller than all other polynomials.
			\item Let $x^\alpha < x^\beta$. It is known that ${\rm deg}(x^\nu) + {\rm deg}(x^\mu) = {\rm deg}(x^\nu x^\mu)$. So if ${\rm deg}(x^\alpha) < {\rm deg}(x^\beta)$ then ${\rm deg}(x^\alpha x^\gamma) < {\rm deg}(x^\beta x^\gamma)$, and the condition holds. Again, the only interesting case is when ${\rm deg}(x^\alpha) = {\rm deg}(x^\beta)$. In this case, consider the tuples $\alpha = (\vect{\alpha}{n})$, $\beta = (\vect{\beta}{n})$ and $\gamma = (\vect{\gamma}{n})$. There is some $r$ such that $\alpha_i = \beta_i$ $\forall i < r$ and $\alpha_r < \beta_r$. The polynomial $x^\alpha x^\gamma$ has associated tuple $(\alpha_1 + \gamma_1, \dots, \alpha_n + \gamma_n)$ and the polynomial $x^\beta x^\gamma$ has associated tuple $(\beta_1 + \gamma_1, \dots, \beta_n + \gamma_n)$. In each position, the same value ($\gamma_i$) is being added to both sides, so the relative sizes don't change, and hence $x^\alpha x^\gamma < x^\beta x^\gamma$. \pend
		\end{enumerate}
	\item Assume that there is a different term order, $\prec$. Then $1 \prec$ everything. As $\prec$ is not the usual term order, there must be some term $x^i$ such that $x^{i+1} \prec x^i$. Consider $x^{i-1} \prec x^i$. As $\prec$ is a total order, either $x^{i+1} \prec x^{i-1} \prec x^i$ or $x^{i-1} \prec x^{i+1} \prec x^i$. Multiply both cases by $x^1$, giving $x^{i+2} \prec x^{i} \prec x^{i+1}$ or $x^{i} \prec x^{i+2} \prec x^{i+1}$. In both cases, $x^{i} \prec x^{i+1}$, which is false. Hence there is no $i$ such that $x^{i+1} \prec x^i$, and so $\prec$ is the just the normal term order on $k[x]$. \pend
	\item Let $x^\alpha > x^\beta$. Then assume that $x^\alpha | x^\beta$, so $x^\gamma x^\alpha = x^\beta$ for some $x^\gamma$. So \begin{align*}
		x^\alpha &> x^\beta \\
		x^\gamma x^\alpha &> x^\gamma x^\beta \tag{as $>$ is a term order} \\
		x^\beta &> x^\gamma x^\beta
	\end{align*}
	As this cannot happen, $x^\alpha \nmid x^\beta$ and the result follows from contrapositive.
	\item \begin{enumerate}
		\item \begin{enumerate}
			\item[\ltr] Assume that $x_n|f$. As $x_n$ has degree one, it must divide every term in $f$. In particular, $x_n|\textsc{lt}(f)$.
			\item[\rtl] Assume that $x_n|\textsc{lt}(f)$. $f$ is homogeneous, so every term has the same total degree. As $x_n$ is the smallest variable, all the terms containing it are the smallest in {\sc degrevlex}. All the non-leading terms in $f$ are smaller than {\sc lt}($f$), and of the same degree, so each of them is divisible by $x_n$. Hence $x_n|f$.
	\end{enumerate}
		\item \begin{enumerate}
			\item[\ltr] Let $d$ be the total degree of $f$. Assume that $f \in \ideal{x_i, \dots, x_n} = I$. Then $f = \sum a_lx_i^{l_i} \cdots x_n^{l_n}$, where $\displaystyle\sum_{j=1}^{n} l_j = d$, and $\forall j$ $l_j \in \mbbN$, $a_l \in k$. As $I$ is an ideal, each term of $f$ is in $I$. In particular, $\textsc{lt}(f) \in I$.
			\item[\rtl] Let $I$ be the same as before, and let $g = \textsc{lt}(f)$. Assume that $g \in I$. Then the largest variable in $g$ is $x_i$, as all smaller variables aren't in the ideal, and so cannot be in $g$. As every other term in $f$ is less than $g$, and all terms in $f$ have the same total degree, the other terms in $f$ have no greater variables than $x_i$. Hence every term in $f$ is in $I$, and so $f \in I$. \pend
		\end{enumerate}
	\end{enumerate}
	\item \begin{enumerate}
		\item Assume that $\alpha_i < \alpha_j$, but $i < j$. As $f$ is symmetric, there is some term that has $x_i^{\alpha_j}x_j^{\alpha_i}$ in it. But this term is larger than the leading term, which contains $x_i^{\alpha_i}x_j^{\alpha_j}$. This cannot happen, and so $\alpha_i \geq \alpha_j$. \pend
		\item It is known that \begin{align*}
			\textsc{lp}(g) &= \textsc{lp}(\sigma_1)^{\alpha_1 - \alpha_2}\textsc{lp}(\sigma_2)^{\alpha_2 - \alpha_3} \cdots \textsc{lp}(\sigma_{n-1})^{\alpha_{n-1} - \alpha_n}\textsc{lp}(\sigma_n)^{\alpha_n} \\
			&= x_1^{\alpha_1 - \alpha_2}(x_1x_2)^{\alpha_2 - \alpha_3} \cdots (x_1x_2 \cdots x_{n-1})^{\alpha_{n-1} - \alpha_n}(x_1 \cdots x_{n})^{\alpha_n}
		\end{align*}
		In this sum, the power of $x_i$ is $(\alpha_i - \alpha_{i+1}) + (\alpha_{i+1} - \alpha_{i+2}) + \cdots + (\alpha_{n-1} - \alpha_n) + \alpha_n = \alpha_i$. Hence $\textsc{lp}(g) = x^\alpha$. \pend
		\item Let $f_1 = f - cg$. As $f_1$ is symmetric, one can apply the above process to get $f_2 = f_1 - c_1g_1$, and so on. This leads to $\textsc{lp}(f) > \textsc{lp}(f_1) > \textsc{lp}(f_2) > \cdots$. However, as {\sc lex} is a well-order, there must be a minimal element. But the only way this process terminates is when $f_{s+1} = 0$ for some $s$. Hence $f = cg + c_1g_1 + \cdots + c_sg_s$, and so $f$ is a polynomial of the elementary symmetric polynomials. \pend
		\item Running the algorithm: \[\begin{tabular}{llll}
			&&& $f_{\ } = x^4 + y^4$ \\
			$\alpha_{\ } = (4,0)$ & $c_{\ } = 1$ & $g_{\ } = (x + y)^4$ & $f_1 = -4x^3y - 6x^2y^2 - 4xy^3$ \\
			$\alpha_1 = (3,1)$ & $c_1 = -4$ & $g_1 = (x + y)^2(xy)$ & $f_2 = 2x^2y^2$ \\
			$\alpha_2 = (2,2)$ & $c_2 = 2$ & $g_2 = (xy)^2$ & $f_3 = 0$
		\end{tabular}\]
		From this, \begin{align*}
			f &= f_1 + \sigma_1^4 \\
			&= f_2 - 4\sigma_1^2\sigma_2 + \sigma_1^4 \\
			&= 2\sigma_2^2 - 4\sigma_1^2\sigma_2 + \sigma_1^4
		\end{align*}
	\end{enumerate}
	\item \begin{enumerate}
		\item \[
			\begin{array}{rllr}
			u_1: && x^6+x^2 \\
			u_2: && 0 & \underline{r:} \\ \\ \cline{3-3}
			xy^2 - x && \mcb{x^7y^2 + x^3y^2 - y + 1} & \\
			-y^3 + x && \mcb{\quad} & \\ 
			& & x^7y^2 + x^3y^2 - y + 1 & \\
			& & x^7y^2 - x^7 \\ \cline{3-3}
			& & x^7 + x^3y^2 - y + 1 & \\
			& & x^7 & \\ \cline{3-3}
			& & x^3y^2 - y + 1 & x^7 \\
			& & x^3y^2 - x^3 & \\ \cline{3-3}
			& & x^3 - y + 1 & \\
			& & x^3 - y + 1 & \\ \cline{3-3}
			& & 0 & x^3 - y + 1 \\ \cline{4-4}
			& & & x^7 + x^3 - y + 1
			\end{array}
		\]
		So, $x^7y^2 + x^3y^2 - y + 1 = (x^6 + x^2)(xy^2 - x) + 0(x - y^3) + x^7 + x^3 - y + 1$.
		\item \[
			\begin{array}{rllr}
			u_1: && y^2z^2 + y \\
			u_2: && y^3z^2 + y^2z^5 + y^2 + yz^8 + yz^3 + z^{11} + z^6 - z \\
			u_3: && z^{12} + z^{10} + z^8 + z^7 + z^6 + z^5 + z^4 + z^3 + z & \underline{r:} \\ \\ \cline{3-3}
			x - y^2 && \mcb{xy^2z^2 + xy - yz} & \\
			y - z^3 && \mcb{\quad} & \\ 
			z^2 - 1 && \mcb{\quad} & \\
			& & xy^2z^2 + xy - yz & \\
			& & xy^2z^2 - y^4z^2 \\ \cline{3-3}
			& & xy + y^4z^2 - yz & \\
			& & xy - y^3 & \\ \cline{3-3}
			& & y^4z^2 + y^3 - yz & \\
			& & y^4z^2 - y^3z^5 & \\ \cline{3-3}
			& & y^3z^5 + y^3 - yz & \\
			& & y^3z^5 - y^2z^8 & \\ \cline{3-3}
			& & y^3 + y^2z^8 - yz & \\
			& & y^3 - y^2z^3 & \\ \cline{3-3}
			& & y^2z^8 + y^2z^3 - yz & \\
			& & y^2z^8 - yz^{11} & \\ \cline{3-3}
			& & y^2z^3 + yz^{11} - yz & \\
			& & y^2z^3 - yz^6 & \\ \cline{3-3}
			& & yz^{11} + yz^6 - yz & \\
			& & yz^{11} - z^{14} & \\ \cline{3-3}
			& & yz^6 - yz + z^{14} & \\
			& & yz^6 - z^9 & \\ \cline{3-3}
			& & -yz + z^{14} + z^9 & \\
			& & -yz + z^4 & \\ \cline{3-3}
			& & z^{14} + z^9 - z^4 & \\
			& & z^{14} - z^{12} & \\ \cline{3-3}
			& & z^{12} + z^9 - z^4 & \\
			& & z^{12} - z^{10} & \\ \cline{3-3}
			& & z^{10} + z^9 - z^4 & \\
			& & z^{10} - z^8 & \\ \cline{3-3}
			& & z^9 + z^8 - z^4 & \\
			& & z^9 - z^7 & \\ \cline{3-3}
			& & z^8 + z^7 - z^4 & \\
			& & z^8 - z^6 & \\ \cline{3-3}
			& & z^7 + z^6 - z^4 & \\
			& & z^7 - z^5 & \\ \cline{3-3}
			& & z^6 + z^5 - z^4 & \\
			& & z^6 - z^4 & \\ \cline{3-3}
			& & z^5 & \\
			& & z^5 - z^3 & \\ \cline{3-3}
			& & z^3 & \\
			& & z^3 - z & \\ \cline{3-3}
			& & 0 & z \\ \cline{4-4}
			& & & z
			\end{array}
		\]
		So, $xy^2z^2 + zy - yz = (y^2z^2 + y)(x - y^2) + (y^3z^2 + y^2z^5 + y^2 + yz^8 + yz^3 + z^{11} + z^6 - z)(y - z^3) + (z^{12} + z^{10} + z^8 + z^7 + z^6 + z^5 + z^4 + z^3 + z)(z^2 - 1) + z$.
	\end{enumerate}
	\item Using {\sc lex} ordering with $z > y > x$. \[
		\begin{array}{rll}
		u_1: && -z^2 - zx^2 - x^4 \\
		u_2: && y^2 + x^3 \\ \\ \cline{3-3}
		z - x^2 && \mcb{-z^3 + y^4} \\
		y^2 - x^3 && \mcb{\quad} \\ 
		& & -z^3 + y^4 \\
		& & -z^3 + z^2x^2 \\ \cline{3-3}
		& & -z^2x^2 + y^4 \\
		& & -z^2x^2 + zx^4 \\ \cline{3-3}
		& & -zx^4 + y^4 \\
		& & -zx^4 + x^6 \\ \cline{3-3}
		& & y^4 - x^6 \\
		& & y^4 - y^2x^3 \\ \cline{3-3}
		& & y^2x^3 - x^6 \\
		& & y^2x^3 - x^6 \\ \cline{3-3}
		& & 0 \\ 
		\end{array}
	\]
	So, $y^4 - z^3 = (z^2 + zx^2 + x^4)(x^2 - z) + (y^2 + x^3)(y^2 - x^3)$.
\end{enumerate}

\end{document}